Ask Your Question
0

Failed to run remote script [closed]

asked 2014-12-09 01:17:27 -0500

Wang Zheng gravatar image

updated 2014-12-09 01:40:56 -0500

dbaxps gravatar image

Hi all, I am installing openstack with RDO, I finished the installation before, but I got an error this time while installing. I have checked the workarounds but no luck. would somebody advise how can I fix this error: Adding post install manifest entries [ DONE ] Installing Dependencies [ ERROR ]

ERROR : Failed to run remote script, stdout: Loaded plugins: fastestmirror, langpacks, priorities

stderr: Warning: Permanently added '192.168.227.133' (ECDSA) to the list of known hosts.
+ trap t ERR
+ yum install -y puppet hiera openssh-clients tar nc rubygem-json
Traceback (most recent call last):
  File "/usr/libexec/urlgrabber-ext-down", line 75, in <module>
    main()
  File "/usr/libexec/urlgrabber-ext-down", line 61, in main
    fo = PyCurlFileObject(opts.url, opts.filename, opts)
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1258, in __init__
    self._do_open()
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1589, in _do_open
    self._do_grab()
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1723, in _do_grab
    self._do_perform()
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1517, in _do_perform
    raise KeyboardInterrupt
KeyboardInterrupt


Exiting on user cancel
++ t
++ exit 1

Thanks

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by Wang Zheng
close date 2014-12-11 07:01:56.937584

2 answers

Sort by ยป oldest newest most voted
1

answered 2014-12-09 01:54:31 -0500

dbaxps gravatar image

Before running packstack, install manually :-

yum install -y puppet hiera openssh-clients tar nc rubygem-json

Start service :-

# systemctl start puppet
# systemctl status puppet

Rerun packstack --answer-file=./answer-file-previous.txt

edit flag offensive delete link more

Comments

Before rerunning packstack --answer-file=./answer-file-of-previous-attempt.txt, try :-

yum install -y erlang
dbaxps gravatar imagedbaxps ( 2014-12-10 03:25:00 -0500 )edit

Hi dbaxps, Thanks for your help! Even there's a little problem, I have finished install and able to log in now!

Wang Zheng gravatar imageWang Zheng ( 2014-12-11 07:01:03 -0500 )edit
0

answered 2014-12-10 03:09:53 -0500

Wang Zheng gravatar image

Hi dbaxps, Thanks for you advise! I installed puppet and re-run the installation, but got the following issue: 192.168.227.145_amqp.pp: [ ERROR ]
Applying Puppet manifests [ ERROR ]

ERROR : Error appeared during Puppet run: 192.168.227.145_amqp.pp Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install erlang' returned 1: Traceback (most recent call last): You will find full trace in log /var/tmp/packstack/20141210-155454-rJL5_q/manifests/192.168.227.145_amqp.pp.log

would somebody can advice this also? Thanks

edit flag offensive delete link more

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2014-12-09 01:17:27 -0500

Seen: 3,770 times

Last updated: Dec 10 '14